## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.7

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanSourceTreeParserLiaison Class Reference

`#include <XalanSourceTreeParserLiaison.hpp>`

Inheritance diagram for XalanSourceTreeParserLiaison

Collaboration diagram for XalanSourceTreeParserLiaison:

List of all members.

## Public Types

- typedef std::map<const XalanDocument*,
  XalanSourceTreeDocument*> DocumentMapType

## Public Methods

- XalanSourceTreeParserLiaison (XalanSourceTreeDOMSupport& theSupport)
    Construct a XalanSourceTreeParserLiaison instance. More...
- XalanSourceTreeParserLiaison ()
    Construct a XalanSourceTreeParserLiaison instance.
- virtual ~XalanSourceTreeParserLiaison ()
- bool getPoolAllText () const
    Get the value of the flag which determines if the data of all text nodes are pooled, or just whitespace text nodes. More...
- void setPoolAllText (bool fValue)
    Set the value of the flag which determines if the data of all text nodes are pooled, or just whitespace text nodes. More...
- virtual void reset ()
- virtual ExecutionContext* getExecutionContext () const
- virtual void setExecutionContext (ExecutionContext& theContext)
- virtual XalanDocument* parseXMLStream ( const InputSourceType& reader, const XalanDOMString& identifier = XalanDOMString())
    Parse the text pointed at by the reader as XML, and return a DOM Document interface. More...
- virtual void parseXMLStream ( const InputSourceType& inputSource, DocumentHandlerType& handler, const XalanDOMString& identifier = XalanDOMString())
    Parse the text pointed at by the reader as XML. More...
- virtual XalanDocument* createDocument ()
    Create an empty DOM Document. More...
- virtual XalanDocument* createDOMFactory ()
    Get a factory object required to create nodes in the result tree. More...
- virtual void destroyDocument (XalanDocument* theDocument)
    Destroy the supplied XalanDocument instance. More...
- virtual int getIndent () const
    Get the amount to indent when indent-result="yes". More...
- virtual void setIndent (int i)
    Set the amount to indent when indent-result="yes". More...
- virtual bool getUseValidation () const
    Get whether or not validation will be performed. More...
- virtual void setUseValidation (bool b)
    If set to true, validation will be performed. More...
- virtual const XalanDOMString getParserDescription () const
    Return a string suitable for telling the user what parser is being used. More...
- virtual EntityResolverType* getEntityResolver () const
    This method returns the installed entity resolver. More...
- virtual void setEntityResolver (EntityResolverType* resolver)
    This method installs the user specified entity resolver on the parser. More...
- virtual void parseXMLStream ( const InputSourceType& theInputSource, ContentHandlerType& theContentHandler, DTDHandlerType* theDTDHandler = 0, LexicalHandlerType* theLexicalHandler = 0, const XalanDOMString& theIdentifier = XalanDOMString())
    Parse using a SAX2 ContentHandler, DTDHandler, and LexicalHandler. More...
- virtual bool getIncludeIgnorableWhitespace () const
    Get the 'include ignorable whitespace' flag. More...
- virtual void setIncludeIgnorableWhitespace (bool include)
    Set the 'include ignorable whitespace' flag. More...
- virtual ErrorHandlerType* getErrorHandler () const
    This method returns the installed error handler. More...
- virtual void setErrorHandler (ErrorHandlerType* handler)
    This method installs the user specified error handler on the parser. More...
- virtual bool getDoNamespaces () const
    This method returns the state of the parser's namespace handling capability. More...
- virtual void setDoNamespaces (bool newState)
    This method allows users to enable or disable the parser's namespace processing. More...
- virtual bool getExitOnFirstFatalError () const
    This method returns the state of the parser's exit-on-First-Fatal-Error flag. More...
- virtual void setExitOnFirstFatalError (bool newState)
    This method allows users to set the parser's behaviour when it encounters the first fatal error. More...
- virtual const XalanDOMChar* getExternalSchemaLocation () const
    This method returns the location for an external schema document for parsing. More...
- virtual void setExternalSchemaLocation (const XalanDOMChar* location)
    This method sets the location for an external schema document for parsing. More...
- virtual const XalanDOMChar* getExternalNoNamespaceSchemaLocation () const
    This method returns the location for an external schema document for parsing. More...
- virtual void setExternalNoNamespaceSchemaLocation (const XalanDOMChar* location)
    This method sets the location for an external schema document for parsing. More...
- XalanSourceTreeDocument* mapDocument (const XalanDocument* theDocument) const
    Map a pointer to a XalanDocument instance to its implementation class pointer. More...
- XalanSourceTreeDocument* createXalanSourceTreeDocument ()
    Create a XalanSourceTreeDocument instance. More...

## Protected Methods

- virtual SAX2XMLReaderType* createReader ()

## Member Typedef Documentation

typedef std::map<const XalanDocument*, XalanSourceTreeDocument*> XalanSourceTreeParserLiaison::DocumentMapType

## Constructor & Destructor Documentation

XalanSourceTreeParserLiaison::XalanSourceTreeParserLiaison ( | XalanSourceTreeDOMSupport & theSupport )

Construct a XalanSourceTreeParserLiaison instance.

Parameters:

  theSupport | instance of DOMSupport object

Deprecated:
  This constructor is deprecated. Use the next constructor instead.

XalanSourceTreeParserLiaison::XalanSourceTreeParserLiaison ( | )

Construct a XalanSourceTreeParserLiaison instance.

virtual XalanSourceTreeParserLiaison::~XalanSourceTreeParserLiaison ( | )`[virtual]`

## Member Function Documentation

virtual XalanDocument* XalanSourceTreeParserLiaison::createDOMFactory ( | )`[virtual]`

Get a factory object required to create nodes in the result tree.

The liaison owns the XalanDocument instance, and will delete it when when asked (see destroyDocument()), or when the liaison is reset, or goes out of scope.

Returns:
  A XalanDocument instance.

Reimplemented from XMLParserLiaison.

virtual XalanDocument* XalanSourceTreeParserLiaison::createDocument ( | )`[virtual]`

Create an empty DOM Document.

Mainly used for creating an output document.

The liaison owns the XalanDocument instance, and will delete it when when asked (see DestroyDocument()), or when the liaison is reset, or goes out of scope.

Returns:
  DOM document created

Reimplemented from XMLParserLiaison.

virtual SAX2XMLReaderType* XalanSourceTreeParserLiaison::createReader ( | )`[protected, virtual]`

XalanSourceTreeDocument * XalanSourceTreeParserLiaison::createXalanSourceTreeDocument ( | )

Create a XalanSourceTreeDocument instance.

Returns:
  A pointer to the XalanSourceTreeDocument instance.

virtual void XalanSourceTreeParserLiaison::destroyDocument ( | XalanDocument * theDocument )`[virtual]`

Destroy the supplied XalanDocument instance.

It must be an instance that was created by a previous call to createDocument() or getDOMFactory().

Parameters:

  theDocument | The XalanDocument instance to destroy.

Reimplemented from XMLParserLiaison.

bool XalanSourceTreeParserLiaison::getDoNamespaces ( | ) const`[virtual]`

This method returns the state of the parser's namespace handling capability.

Returns:
  true, if the parser is currently configured to understand namespaces, false otherwise.

See also:
  setDoNamespaces()

virtual EntityResolverType* XalanSourceTreeParserLiaison::getEntityResolver ( | ) const`[virtual]`

This method returns the installed entity resolver.

Returns:
  The pointer to the installed entity resolver object.

Reimplemented from XMLParserLiaison.

ErrorHandlerType * XalanSourceTreeParserLiaison::getErrorHandler ( | ) const`[virtual]`

This method returns the installed error handler.

Returns:
  A pointer to the installed error handler object.

Reimplemented from XMLParserLiaison.

virtual ExecutionContext* XalanSourceTreeParserLiaison::getExecutionContext ( | ) const`[virtual]`

Reimplemented from XMLParserLiaison.

bool XalanSourceTreeParserLiaison::getExitOnFirstFatalError ( | ) const`[virtual]`

This method returns the state of the parser's exit-on-First-Fatal-Error flag.

Returns:
  true, if the parser is currently configured to exit on the first fatal error, false otherwise.

See also:
  setExitOnFirstFatalError()

const XalanDOMChar * XalanSourceTreeParserLiaison::getExternalNoNamespaceSchemaLocation ( | ) const`[virtual]`

This method returns the location for an external schema document for parsing.

Returns:
  A string representing the location of the external schema document

const XalanDOMChar * XalanSourceTreeParserLiaison::getExternalSchemaLocation ( | ) const`[virtual]`

This method returns the location for an external schema document for parsing.

Returns:
  A string representing the location of the external schema document

bool XalanSourceTreeParserLiaison::getIncludeIgnorableWhitespace ( | ) const`[virtual]`

Get the 'include ignorable whitespace' flag.

This method returns the state of the parser's include ignorable whitespace flag.

Returns:
  'true' if the include ignorable whitespace flag is set on the parser, 'false' otherwise.

See also:
  setIncludeIgnorableWhitespace()

virtual int XalanSourceTreeParserLiaison::getIndent ( | ) const`[virtual]`

Get the amount to indent when indent-result="yes".

Deprecated:

Returns:
  number of characters to indent

Reimplemented from XMLParserLiaison.

virtual const XalanDOMString XalanSourceTreeParserLiaison::getParserDescription ( | ) const`[virtual]`

Return a string suitable for telling the user what parser is being used.

Returns:
  string describing parser

Reimplemented from XMLParserLiaison.

bool XalanSourceTreeParserLiaison::getPoolAllText ( | ) const`[]`

Get the value of the flag which determines if the data of all text nodes are pooled, or just whitespace text nodes.

Returns:
  true if the data of all text nodes are pooled, false otherwise.

virtual bool XalanSourceTreeParserLiaison::getUseValidation ( | ) const`[virtual]`

Get whether or not validation will be performed.

Validation is off by default.

Returns:
  true to perform validation

Reimplemented from XMLParserLiaison.

XalanSourceTreeDocument * XalanSourceTreeParserLiaison::mapDocument ( | const XalanDocument * theDocument ) const

Map a pointer to a XalanDocument instance to its implementation class pointer.

Normally, you should have no reason for doing this. The liaison will return a null pointer if it did not create the instance passed.

Parameters:

  theDocument | A pointer to a XalanDocument instance.

Returns:
  A pointer to the XalanSourceTreeDocument instance.

void XalanSourceTreeParserLiaison::parseXMLStream ( | const InputSourceType & theInputSource,
| ContentHandlerType & theContentHandler,
| DTDHandlerType * theDTDHandler = 0,
| LexicalHandlerType * theLexicalHandler = 0,
| const XalanDOMString & theIdentifier = XalanDOMString() )`[virtual]`

Parse using a SAX2 ContentHandler, DTDHandler, and LexicalHandler.

Parameters:

  theInputSource | The input source for the parser
  theContentHandler | The ContentHandler to use
  theDTDHandler | The DTDHandler to use. May be null.
  theLexicalHandler | The LexicalHandler to use. May be null.
  identifier | Used for error reporting only.

virtual void XalanSourceTreeParserLiaison::parseXMLStream ( | const InputSourceType & inputSource,
| DocumentHandlerType & handler,
| const XalanDOMString & identifier = XalanDOMString() )`[virtual]`

Parse the text pointed at by the reader as XML.

It is recommended that you pass in some sort of recognizable name, such as the filename or URI, with which the reader can be recognized if the parse fails.

Parameters:

  inputSource | input source that should hold valid XML
  handler | instance of a DocumentHandler
  identifier | used for diagnostic purposes only, some sort of identification for error reporting, default an empty string

Reimplemented from XMLParserLiaison.

virtual XalanDocument* XalanSourceTreeParserLiaison::parseXMLStream ( | const InputSourceType & reader,
| const XalanDOMString & identifier = XalanDOMString() )`[virtual]`

Parse the text pointed at by the reader as XML, and return a DOM Document interface.

It is recommended that you pass in some sort of recognizable name, such as the filename or URI, with which the reader can be recognized if the parse fails.

The liaison owns the XalanDocument instance, and will delete it when when asked (see DestroyDocument()), or when the liaison is reset, or goes out of scope.

Parameters:

  reader | stream that should hold valid XML
  identifier | used for diagnostic purposes only, some sort of identification for error reporting, default an empty string

Returns:
  DOM document created

Reimplemented from XMLParserLiaison.

virtual void XalanSourceTreeParserLiaison::reset ( | )`[virtual]`

Reimplemented from XMLParserLiaison.

void XalanSourceTreeParserLiaison::setDoNamespaces ( | bool newState )`[virtual]`

This method allows users to enable or disable the parser's namespace processing.

When set to true, parser starts enforcing all the constraints / rules specified by the NameSpace specification.

The parser's default state is: false.

This flag is ignored by the underlying scanner if the installed validator indicates that namespace constraints should be enforced.

Parameters:

  newState | The value specifying whether NameSpace rules should be enforced or not.

See also:
  getDoNamespaces()

virtual void XalanSourceTreeParserLiaison::setEntityResolver ( | EntityResolverType * resolver )`[virtual]`

This method installs the user specified entity resolver on the parser.

It allows applications to trap and redirect calls to external entities.

Parameters:

  handler | A pointer to the entity resolver to be called when the parser comes across references to entities in the XML file.

Reimplemented from XMLParserLiaison.

void XalanSourceTreeParserLiaison::setErrorHandler ( | ErrorHandlerType * handler )`[virtual]`

This method installs the user specified error handler on the parser.

Parameters:

  handler | A pointer to the error handler to be called when the parser comes across 'error' events as per the SAX specification.

See also:
  Parser::setErrorHandler

Reimplemented from XMLParserLiaison.

virtual void XalanSourceTreeParserLiaison::setExecutionContext ( | ExecutionContext & theContext )`[virtual]`

Reimplemented from XMLParserLiaison.

void XalanSourceTreeParserLiaison::setExitOnFirstFatalError ( | bool newState )`[virtual]`

This method allows users to set the parser's behaviour when it encounters the first fatal error.

If set to true, the parser will exit at the first fatal error. If false, then it will report the error and continue processing.

The default value is 'true' and the parser exits on the first fatal error.

Parameters:

  newState | The value specifying whether the parser should continue or exit when it encounters the first fatal error.

See also:
  getExitOnFirstFatalError()

void XalanSourceTreeParserLiaison::setExternalNoNamespaceSchemaLocation ( | const XalanDOMChar * location )`[virtual]`

This method sets the location for an external schema document for parsing.

Parameters:

  location | A string representing the location of the external schema document

void XalanSourceTreeParserLiaison::setExternalSchemaLocation ( | const XalanDOMChar * location )`[virtual]`

This method sets the location for an external schema document for parsing.

Parameters:

  location | A string representing the location of the external schema document

void XalanSourceTreeParserLiaison::setIncludeIgnorableWhitespace ( | bool include )`[virtual]`

Set the 'include ignorable whitespace' flag.

This method allows the user to specify whether a validating parser should include ignorable whitespaces as text nodes. It has no effect on non-validating parsers which always include non-markup text.

When set to true (also the default), ignorable whitespaces will be added to the DOM tree as text nodes. The method DOM_Text::isIgnorableWhitespace() will return true for those text nodes only.

When set to false, all ignorable whitespace will be discarded and no text node is added to the DOM tree. Note: applications intended to process the "xml:space" attribute should not set this flag to false.

Parameters:

  include | The new state of the include ignorable whitespace flag.

See also:
  getIncludeIgnorableWhitespace()

virtual void XalanSourceTreeParserLiaison::setIndent ( | int i )`[virtual]`

Set the amount to indent when indent-result="yes".

Deprecated:

Parameters:

  i | number of characters to indent

Reimplemented from XMLParserLiaison.

void XalanSourceTreeParserLiaison::setPoolAllText ( | bool fValue )`[]`

Set the value of the flag which determines if the data of all text nodes are pooled, or just whitespace text nodes.

Parameters:

  fValue | The new value for the flag.

virtual void XalanSourceTreeParserLiaison::setUseValidation ( | bool b )`[virtual]`

If set to true, validation will be performed.

Validation is off by default.

Parameters:

  b | true to perform validation

Reimplemented from XMLParserLiaison.

The documentation for this class was generated from the following file:

- XalanSourceTreeParserLiaison.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.7 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.